# FoundationClasses
TKernel
Message

# Message_Algorithm Class Reference

Class Message_Algorithm is intended to be the base class for
classes implementing algorithms or any operations that need
to provide extended information on its execution to the
caller / user.
.

`#include <Message_Algorithm.hxx>`

Inheritance diagram for Message_Algorithm:

[legend]

## Public Member Functions

Standard_EXPORT | Message_Algorithm ()
| Empty constructor .
Standard_EXPORT void | SetStatus (const Message_Status &theStat)
| Sets status with no parameter .
Standard_EXPORT void | SetStatus (const Message_Status &theStat, const Standard_Integer theInt)
| Sets status with integer parameter .
void | SetStatus (const Message_Status &theStat, const Standard_CString theStr, const Standard_Boolean noRepetitions=Standard_True)
| Sets status with string parameter. If noRepetitions is True, the parameter will be added only if it has not been yet recorded for the same status flag .
void | SetStatus (const Message_Status &theStat, const TCollection_AsciiString &theStr, const Standard_Boolean noRepetitions=Standard_True)
| Sets status with string parameter If noRepetitions is True, the parameter will be added only if it has not been yet recorded for the same status flag .
void | SetStatus (const Message_Status &theStat, const Handle(TCollection_HAsciiString)&theStr, const Standard_Boolean noRepetitions=Standard_True)
| Sets status with string parameter If noRepetitions is True, the parameter will be added only if it has not been yet recorded for the same status flag .
void | SetStatus (const Message_Status &theStat, const TCollection_ExtendedString &theStr, const Standard_Boolean noRepetitions=Standard_True)
| Sets status with string parameter If noRepetitions is True, the parameter will be added only if it has not been yet recorded for the same status flag .
Standard_EXPORT void | SetStatus (const Message_Status &theStat, const Handle(TCollection_HExtendedString)&theStr, const Standard_Boolean noRepetitions=Standard_True)
| Sets status with string parameter If noRepetitions is True, the parameter will be added only if it has not been yet recorded for the same status flag .
const Message_ExecStatus & | GetStatus () const
| Returns copy of exec status of algorithm .
Message_ExecStatus & | ChangeStatus ()
| Returns exec status of algorithm .
Standard_EXPORT void | ClearStatus ()
| Clear exec status of algorithm .
Standard_EXPORT void | SetMessenger (const Handle(Message_Messenger)&theMsgr)
| Sets messenger to algorithm .
Handle_Message_Messenger | GetMessenger () const
| Returns messenger of algorithm. The returned handle is always non-null and can be used for sending messages. .
virtual Standard_EXPORT void | SendStatusMessages (const Message_ExecStatus &theFilter, const Message_Gravity theTraceLevel=Message_Warning, const Standard_Integer theMaxCount=20) const
| Print messages for all status flags that have been set during algorithm execution, excluding statuses that are NOT set in theFilter. .
Standard_EXPORT void | SendMessages (const Message_Gravity theTraceLevel=Message_Warning, const Standard_Integer theMaxCount=20) const
| Convenient variant of SendStatusMessages() with theFilter having defined all WARN, ALARM, and FAIL (but not DONE) status flags .
Standard_EXPORT void | AddStatus (const Handle(Message_Algorithm)&theOther)
| Add statuses to this algorithm from other algorithm (including messages) .
Standard_EXPORT void | AddStatus (const Message_ExecStatus &theStatus, const Handle(Message_Algorithm)&theOther)
| Add statuses to this algorithm from other algorithm, but only those items are moved that correspond to statuses set in theStatus .
Standard_EXPORT Handle_TColStd_HPackedMapOfInteger | GetMessageNumbers (const Message_Status &theStatus) const
| Return the numbers associated with the indicated status; Null handle if no such status or no numbers associated with it .
Standard_EXPORT Handle_TColStd_HSequenceOfHExtendedString | GetMessageStrings (const Message_Status &theStatus) const
| Return the strings associated with the indicated status; Null handle if no such status or no strings associated with it .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT TCollection_ExtendedString | PrepareReport (const Handle(TColStd_HPackedMapOfInteger)&theError, const Standard_Integer theMaxCount)
| Prepares a string containing a list of integers contained in theError map, but not more than theMaxCount .
static Standard_EXPORT TCollection_ExtendedString | PrepareReport (const TColStd_SequenceOfHExtendedString &theReportSeq, const Standard_Integer theMaxCount)
| Prepares a string containing a list of names contained in theReportSeq sequence, but not more than theMaxCount .

## Protected Attributes

Message_ExecStatus | myStatus
Handle_Message_Messenger | myMessenger

## Private Attributes

Handle_TColStd_HArray1OfTransient | myReportIntegers
Handle_TColStd_HArray1OfTransient | myReportStrings

## Constructor & Destructor Documentation

Standard_EXPORT Message_Algorithm::Message_Algorithm | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Message_Algorithm::AddStatus | ( | const Message_ExecStatus & | theStatus,
|  | const Handle(Message_Algorithm)& | theOther
| ) |

Standard_EXPORT void Message_Algorithm::AddStatus | ( | const Handle(Message_Algorithm)& | theOther | ) |

Message_ExecStatus & Message_Algorithm::ChangeStatus | ( |  | ) | `[inline]`

Standard_EXPORT void Message_Algorithm::ClearStatus | ( |  | ) |

Standard_EXPORT Handle_TColStd_HPackedMapOfInteger Message_Algorithm::GetMessageNumbers | ( | const Message_Status & | theStatus | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHExtendedString Message_Algorithm::GetMessageStrings | ( | const Message_Status & | theStatus | ) | const

Handle_Message_Messenger Message_Algorithm::GetMessenger | ( |  | ) | const

const Message_ExecStatus & Message_Algorithm::GetStatus | ( |  | ) | const`[inline]`

Standard_EXPORT const Message_Algorithm::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

static Standard_EXPORT TCollection_ExtendedString Message_Algorithm::PrepareReport | ( | const TColStd_SequenceOfHExtendedString & | theReportSeq,
|  | const Standard_Integer | theMaxCount
| ) | `[static]`

static Standard_EXPORT TCollection_ExtendedString Message_Algorithm::PrepareReport | ( | const Handle(TColStd_HPackedMapOfInteger)& | theError,
|  | const Standard_Integer | theMaxCount
| ) | `[static]`

Standard_EXPORT void Message_Algorithm::SendMessages | ( | const Message_Gravity | theTraceLevel = `Message_Warning`,
|  | const Standard_Integer | theMaxCount = `20`
| ) | const

virtual Standard_EXPORT void Message_Algorithm::SendStatusMessages | ( | const Message_ExecStatus & | theFilter,
|  | const Message_Gravity | theTraceLevel = `Message_Warning`,
|  | const Standard_Integer | theMaxCount = `20`
| ) | const`[virtual]`

Standard_EXPORT void Message_Algorithm::SetMessenger | ( | const Handle(Message_Messenger)& | theMsgr | ) |

Standard_EXPORT void Message_Algorithm::SetStatus | ( | const Message_Status & | theStat,
|  | const Handle(TCollection_HExtendedString)& | theStr,
|  | const Standard_Boolean | noRepetitions = `Standard_True`
| ) |

void Message_Algorithm::SetStatus | ( | const Message_Status & | theStat,
|  | const TCollection_ExtendedString & | theStr,
|  | const Standard_Boolean | noRepetitions = `Standard_True`
| ) | `[inline]`

void Message_Algorithm::SetStatus | ( | const Message_Status & | theStat,
|  | const Handle(TCollection_HAsciiString)& | theStr,
|  | const Standard_Boolean | noRepetitions = `Standard_True`
| ) | `[inline]`

void Message_Algorithm::SetStatus | ( | const Message_Status & | theStat,
|  | const TCollection_AsciiString & | theStr,
|  | const Standard_Boolean | noRepetitions = `Standard_True`
| ) | `[inline]`

void Message_Algorithm::SetStatus | ( | const Message_Status & | theStat,
|  | const Standard_CString | theStr,
|  | const Standard_Boolean | noRepetitions = `Standard_True`
| ) | `[inline]`

Standard_EXPORT void Message_Algorithm::SetStatus | ( | const Message_Status & | theStat,
|  | const Standard_Integer | theInt
| ) |

Standard_EXPORT void Message_Algorithm::SetStatus | ( | const Message_Status & | theStat | ) |

## Field Documentation

Handle_Message_Messenger Message_Algorithm::myMessenger `[protected]`

Handle_TColStd_HArray1OfTransient Message_Algorithm::myReportIntegers `[private]`

Handle_TColStd_HArray1OfTransient Message_Algorithm::myReportStrings `[private]`

Message_ExecStatus Message_Algorithm::myStatus `[protected]`

The documentation for this class was generated from the following files:

- Message_Algorithm.hxx
- Message_Algorithm.lxx